Subject: Re: bug#21140: 25.0.50; Isearch "char-fold" by default

From: Juri Linkov <[email-masked]>
Date: Fri, 31 Jul 2015 00:21:54 +0300

>> > "Character folding" or simply "folding" is accepted terminology.  But
>> > "char-fold" is not, it's a confusing shorthand.  That's why I
>> > suggested "fold", which is accepted terminology and is short.
>>
>> Alas, in Emacs the term “folding” is already taken and means
>> zooming in on outlines: (info "(emacs) Foldout")
>
> I see no problem here, since the context is very different.

Not very different since isearch involves outlines:

    (defcustom search-invisible 'open
      "If t incremental search/query-replace can match hidden text.
    A nil value means don't match invisible text.
    When the value is `open', if the text matched is made invisible by
    an overlay having an `invisible' property and that overlay has a property
    `isearch-open-invisible', then incremental search will show the contents.
    (This applies when using `outline.el' and `hideshow.el'.)